Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with HTTPS or Subversion.

Download ZIP
Browse files

Made ready for the release of 0.11.1

git-svn-id: http://svn-commit.rubyonrails.org/rails/trunk@1023 5ecf4fe2-1ee6-0310-87b1-e25e094e27de
  • Loading branch information...
commit 04c7e82369f179918d6b4177bcb8121a294afd73 1 parent 55cb8c8
David Heinemeier Hansson dhh authored
2  actionmailer/CHANGELOG
View
@@ -1,4 +1,4 @@
-*SVN*
+*0.8.1* (27th March, 2005)
* Fixed that if charset was found that the end of a mime part declaration TMail would throw an error #919 [lon@speedymac.com]
5 actionmailer/Rakefile
View
@@ -8,7 +8,7 @@ require 'rake/contrib/rubyforgepublisher'
PKG_BUILD = ENV['PKG_BUILD'] ? '.' + ENV['PKG_BUILD'] : ''
PKG_NAME = 'actionmailer'
-PKG_VERSION = '0.8.0' + PKG_BUILD
+PKG_VERSION = '0.8.1' + PKG_BUILD
PKG_FILE_NAME = "#{PKG_NAME}-#{PKG_VERSION}"
RELEASE_NAME = "REL #{PKG_VERSION}"
@@ -32,6 +32,7 @@ Rake::RDocTask.new { |rdoc|
rdoc.rdoc_dir = 'doc'
rdoc.title = "Action Mailer -- Easy email delivery and testing"
rdoc.options << '--line-numbers --inline-source --main README'
+ rdoc.template = "#{ENV['template']}.rb" if ENV['template']
rdoc.rdoc_files.include('README', 'CHANGELOG')
rdoc.rdoc_files.include('lib/action_mailer.rb')
rdoc.rdoc_files.include('lib/action_mailer/*.rb')
@@ -51,7 +52,7 @@ spec = Gem::Specification.new do |s|
s.rubyforge_project = "actionmailer"
s.homepage = "http://www.rubyonrails.org"
- s.add_dependency('actionpack', '= 1.6.0' + PKG_BUILD)
+ s.add_dependency('actionpack', '= 1.7.0' + PKG_BUILD)
s.has_rdoc = true
s.requirements << 'none'
2  actionpack/CHANGELOG
View
@@ -1,4 +1,4 @@
-*SVN*
+*1.7.0* (27th March, 2005)
* Added ActionController::Base.page_cache_extension for setting the page cache file extension (the default is .html) #903 [Andreas]
5 actionpack/Rakefile
View
@@ -8,7 +8,7 @@ require 'rake/contrib/rubyforgepublisher'
PKG_BUILD = ENV['PKG_BUILD'] ? '.' + ENV['PKG_BUILD'] : ''
PKG_NAME = 'actionpack'
-PKG_VERSION = '1.6.0' + PKG_BUILD
+PKG_VERSION = '1.7.0' + PKG_BUILD
PKG_FILE_NAME = "#{PKG_NAME}-#{PKG_VERSION}"
RELEASE_NAME = "REL #{PKG_VERSION}"
@@ -37,6 +37,7 @@ Rake::RDocTask.new { |rdoc|
rdoc.rdoc_dir = 'doc'
rdoc.title = "Action Pack -- On rails from request to response"
rdoc.options << '--line-numbers --inline-source --main README'
+ rdoc.template = "#{ENV['template']}.rb" if ENV['template']
rdoc.rdoc_files.include('README', 'RUNNING_UNIT_TESTS', 'CHANGELOG')
rdoc.rdoc_files.include('lib/**/*.rb')
}
@@ -60,7 +61,7 @@ spec = Gem::Specification.new do |s|
s.has_rdoc = true
s.requirements << 'none'
- s.add_dependency('activesupport', '= 1.0.2' + PKG_BUILD)
+ s.add_dependency('activesupport', '= 1.0.3' + PKG_BUILD)
s.require_path = 'lib'
s.autorequire = 'action_controller'
5 actionwebservice/CHANGELOG
View
@@ -1,7 +1,8 @@
-*0.7.0* (Unreleased)
+*0.6.2* (27th March, 2005)
* Allow method declarations for direct dispatching to declare parameters as well. We treat an arity of < 0 or > 0 as an indication that we should send through parameters. Closes #939.
-
+
+
*0.6.1* (22th March, 2005)
* Fix that method response QNames mismatched with that declared in the WSDL, makes SOAP::WSDLDriverFactory work against AWS again
9 actionwebservice/Rakefile
View
@@ -9,7 +9,7 @@ require 'fileutils'
PKG_BUILD = ENV['PKG_BUILD'] ? '.' + ENV['PKG_BUILD'] : ''
PKG_NAME = 'actionwebservice'
-PKG_VERSION = '0.6.1' + PKG_BUILD
+PKG_VERSION = '0.6.2' + PKG_BUILD
PKG_FILE_NAME = "#{PKG_NAME}-#{PKG_VERSION}"
PKG_DESTINATION = ENV["RAILS_PKG_DESTINATION"] || "../#{PKG_NAME}"
@@ -35,6 +35,7 @@ Rake::RDocTask.new { |rdoc|
rdoc.rdoc_dir = 'doc'
rdoc.title = "Action Web Service -- Web services for Action Pack"
rdoc.options << '--line-numbers --inline-source --main README --accessor class_inheritable_option=RW'
+ rdoc.template = "#{ENV['template']}.rb" if ENV['template']
rdoc.rdoc_files.include('README')
rdoc.rdoc_files.include('CHANGELOG')
rdoc.rdoc_files.include('lib/action_web_service.rb')
@@ -61,9 +62,9 @@ spec = Gem::Specification.new do |s|
s.rubyforge_project = "aws"
s.homepage = "http://www.rubyonrails.org"
- s.add_dependency('actionpack', '= 1.6.0' + PKG_BUILD)
- s.add_dependency('activerecord', '= 1.9.0' + PKG_BUILD)
- s.add_dependency('activesupport', '= 1.0.2' + PKG_BUILD)
+ s.add_dependency('actionpack', '= 1.7.0' + PKG_BUILD)
+ s.add_dependency('activerecord', '= 1.9.1' + PKG_BUILD)
+ s.add_dependency('activesupport', '= 1.0.3' + PKG_BUILD)
s.has_rdoc = true
s.requirements << 'none'
4 activerecord/CHANGELOG
View
@@ -1,4 +1,6 @@
-*SVN*
+*1.9.1* (27th March, 2005)
+
+* Fixed that Active Record objects with float attribute could not be cloned #808
* Fixed that MissingSourceFile's wasn't properly detected in production mode #925 [Nicholas Seckar]
52 activerecord/Rakefile
View
@@ -8,7 +8,7 @@ require 'rake/contrib/rubyforgepublisher'
PKG_BUILD = ENV['PKG_BUILD'] ? '.' + ENV['PKG_BUILD'] : ''
PKG_NAME = 'activerecord'
-PKG_VERSION = '1.9.0' + PKG_BUILD
+PKG_VERSION = '1.9.1' + PKG_BUILD
PKG_FILE_NAME = "#{PKG_NAME}-#{PKG_VERSION}"
RELEASE_NAME = "REL #{PKG_VERSION}"
@@ -38,47 +38,14 @@ Rake::TestTask.new("test_mysql_ruby") { |t|
t.verbose = true
}
-Rake::TestTask.new("test_postgresql") { |t|
- t.libs << "test" << "test/connections/native_postgresql"
- t.pattern = 'test/*_test.rb'
- t.verbose = true
-}
-
-Rake::TestTask.new("test_sqlite") { |t|
- t.libs << "test" << "test/connections/native_sqlite"
- t.pattern = 'test/*_test.rb'
- t.verbose = true
-}
-
-Rake::TestTask.new("test_sqlite3") { |t|
- t.libs << "test" << "test/connections/native_sqlite3"
- t.pattern = 'test/*_test.rb'
- t.verbose = true
-}
-
-Rake::TestTask.new("test_sqlserver") { |t|
- t.libs << "test" << "test/connections/native_sqlserver"
- t.pattern = 'test/*_test.rb'
- t.verbose = true
-}
-
-Rake::TestTask.new("test_db2") { |t|
- t.libs << "test" << "test/connections/native_db2"
- t.pattern = 'test/*_test.rb'
- t.verbose = true
-}
-
-Rake::TestTask.new("test_oracle") { |t|
- t.libs << "test" << "test/connections/native_oracle"
- t.pattern = 'test/*_test.rb'
- t.verbose = true
-}
+for adapter in %( postgresql sqlite sqlite3 sqlserver db2 oci )
+ Rake::TestTask.new("test_#{adapter}") { |t|
+ t.libs << "test" << "test/connections/native_#{adapter}"
+ t.pattern = 'test/*_test.rb'
+ t.verbose = true
+ }
+end
-Rake::TestTask.new("test_oci") { |t|
- t.libs << "test" << "test/connections/native_oci"
- t.pattern = 'test/*_test.rb'
- t.verbose = true
-}
# Generate the RDoc documentation
@@ -86,6 +53,7 @@ Rake::RDocTask.new { |rdoc|
rdoc.rdoc_dir = 'doc'
rdoc.title = "Active Record -- Object-relation mapping put on rails"
rdoc.options << '--line-numbers --inline-source --accessor cattr_accessor=object'
+ rdoc.template = "#{ENV['template']}.rb" if ENV['template']
rdoc.rdoc_files.include('README', 'RUNNING_UNIT_TESTS', 'CHANGELOG')
rdoc.rdoc_files.include('lib/**/*.rb')
rdoc.rdoc_files.exclude('lib/active_record/vendor/*')
@@ -108,7 +76,7 @@ spec = Gem::Specification.new do |s|
s.files = s.files + Dir.glob( "#{dir}/**/*" ).delete_if { |item| item.include?( "\.svn" ) }
end
- s.add_dependency('activesupport', '= 1.0.2' + PKG_BUILD)
+ s.add_dependency('activesupport', '= 1.0.3' + PKG_BUILD)
s.files.delete "test/fixtures/fixture_database.sqlite"
s.files.delete "test/fixtures/fixture_database_2.sqlite"
4 activesupport/CHANGELOG
View
@@ -1,4 +1,4 @@
-*SVN*
+*1.0.3* (27th March, 2005)
* Fixed Inflector.pluralize to handle capitalized words #932 [bitsweat]
@@ -11,7 +11,7 @@
1/0 rescue nil # BAD, EVIL, DIRTY.
-*1.0.2*
+*1.0.2* (22th March, 2005)
* Added Kernel#returning -- a Ruby-ized realization of the K combinator, courtesy of Mikael Brockman.
3  activesupport/Rakefile
View
@@ -5,7 +5,7 @@ require 'rake/contrib/rubyforgepublisher'
PKG_BUILD = ENV['PKG_BUILD'] ? '.' + ENV['PKG_BUILD'] : ''
PKG_NAME = 'activesupport'
-PKG_VERSION = '1.0.2' + PKG_BUILD
+PKG_VERSION = '1.0.3' + PKG_BUILD
PKG_FILE_NAME = "#{PKG_NAME}-#{PKG_VERSION}"
RELEASE_NAME = "REL #{PKG_VERSION}"
@@ -27,6 +27,7 @@ Rake::RDocTask.new { |rdoc|
rdoc.rdoc_dir = 'doc'
rdoc.title = "Active Support -- Utility classes and standard library extensions from Rails"
rdoc.options << '--line-numbers --inline-source --main README'
+ rdoc.template = "#{ENV['template']}.rb" if ENV['template']
rdoc.rdoc_files.include('README', 'CHANGELOG')
rdoc.rdoc_files.include('lib/active_support.rb')
rdoc.rdoc_files.include('lib/active_support/*.rb')
4 railties/CHANGELOG
View
@@ -1,7 +1,9 @@
-*SVN*
+*0.11.1* (27th March, 2005)
* Fixed the dispatch.fcgi use of a logger
+* Upgraded to Active Record 1.9.1, Action Pack 1.7.0, Action Mailer 0.8.1, Action Web Service 0.6.2, Active Support 1.0.3
+
*0.11.0* (22th March, 2005)
12 railties/Rakefile
View
@@ -9,7 +9,7 @@ require 'rbconfig'
PKG_BUILD = ENV['PKG_BUILD'] ? '.' + ENV['PKG_BUILD'] : ''
PKG_NAME = 'rails'
-PKG_VERSION = '0.11.0' + PKG_BUILD
+PKG_VERSION = '0.11.1' + PKG_BUILD
PKG_FILE_NAME = "#{PKG_NAME}-#{PKG_VERSION}"
PKG_DESTINATION = ENV["RAILS_PKG_DESTINATION"] || "../#{PKG_NAME}"
@@ -239,11 +239,11 @@ spec = Gem::Specification.new do |s|
EOF
s.add_dependency('rake', '>= 0.5.0')
- s.add_dependency('activesupport', '= 1.0.2' + PKG_BUILD)
- s.add_dependency('activerecord', '= 1.9.0' + PKG_BUILD)
- s.add_dependency('actionpack', '= 1.6.0' + PKG_BUILD)
- s.add_dependency('actionmailer', '= 0.8.0' + PKG_BUILD)
- s.add_dependency('actionwebservice', '= 0.6.1' + PKG_BUILD)
+ s.add_dependency('activesupport', '= 1.0.3' + PKG_BUILD)
+ s.add_dependency('activerecord', '= 1.9.1' + PKG_BUILD)
+ s.add_dependency('actionpack', '= 1.7.0' + PKG_BUILD)
+ s.add_dependency('actionmailer', '= 0.8.1' + PKG_BUILD)
+ s.add_dependency('actionwebservice', '= 0.6.2' + PKG_BUILD)
s.rdoc_options << '--exclude' << '.'
s.has_rdoc = false
2  railties/fresh_rakefile
View
@@ -71,7 +71,7 @@ Rake::RDocTask.new("appdoc") { |rdoc|
desc "Generate documentation for the Rails framework"
Rake::RDocTask.new("apidoc") { |rdoc|
rdoc.rdoc_dir = 'doc/api'
- rdoc.template = 'jamis.rb' if ENV['template'] == 'jamis'
+ rdoc.template = "#{ENV['template']}.rb" if ENV['template']
rdoc.title = "Rails Framework Documentation"
rdoc.options << '--line-numbers --inline-source'
rdoc.rdoc_files.include('README')
Please sign in to comment.
Something went wrong with that request. Please try again.